> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding Progress

> Returns per-step onboarding progress and saved data for a worker, seeded from domain records.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-onboarding-progress
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-onboarding-progress:
    get:
      operationId: getOnboardingProgress
      summary: Get Onboarding Progress
      description: >-
        Returns per-step onboarding progress and saved data for a worker, seeded
        from domain records.


        Not available to API keys.
      parameters:
        - name: roleInOrgId
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOnboardingProgressResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOnboardingProgressResponse:
      type: object
      properties:
        overallStatus:
          type: string
          enum:
            - IN_PROGRESS
            - AWAITING_VERIFICATION
            - COMPLETED
            - ON_HOLD
        statusReason:
          type:
            - string
            - 'null'
        holdMessage:
          type:
            - string
            - 'null'
        statusEffectiveAt:
          type:
            - string
            - 'null'
        submissionCompletedStepCount:
          type: number
        submissionTotalStepCount:
          type: number
        verificationCompletedCount:
          type: number
        verificationTotalCount:
          type: number
        outstandingChecks:
          type: array
          items:
            type: string
        roleInOrgId:
          type: string
        fullName:
          type:
            - string
            - 'null'
        propTraderInvitationProfile:
          type:
            - object
            - 'null'
          properties:
            firstName:
              type:
                - string
                - 'null'
            lastName:
              type:
                - string
                - 'null'
            emailAddress:
              type:
                - string
                - 'null'
            countryCode:
              type: string
            countryName:
              type: string
          required:
            - firstName
            - lastName
            - emailAddress
            - countryCode
            - countryName
        countryCode:
          type: string
        status:
          type: string
          enum:
            - NOT_STARTED
            - IN_PROGRESS
            - SUBMITTED
            - COMPLETED
        currentStepId:
          type:
            - string
            - 'null'
        steps:
          type: array
          items:
            type: object
            properties:
              stepId:
                type: string
              status:
                type: string
                enum:
                  - NOT_STARTED
                  - IN_PROGRESS
                  - COMPLETED
                  - SKIPPED
              stepData:
                type:
                  - object
                  - 'null'
                additionalProperties: {}
              completedAt:
                type:
                  - string
                  - 'null'
              lastAccessedAt:
                type:
                  - string
                  - 'null'
              canWaiveUpdatedDocuments:
                type: boolean
            required:
              - stepId
              - status
              - stepData
              - completedAt
              - lastAccessedAt
        completedStepCount:
          type: number
        totalStepCount:
          type: number
        verificationGates:
          type: array
          items:
            type: object
            properties:
              stepId:
                type: string
              label:
                type: string
              status:
                type: string
                enum:
                  - NOT_STARTED
                  - IN_PROGRESS
                  - COMPLETED
                  - SKIPPED
              completedAt:
                type:
                  - string
                  - 'null'
            required:
              - stepId
              - label
              - status
              - completedAt
        onboardingStartedAt:
          type:
            - string
            - 'null'
        backgroundCheckBlocked:
          type: boolean
        agreementUnderReview:
          type: boolean
        addedBy:
          type:
            - object
            - 'null'
          properties:
            name:
              type:
                - string
                - 'null'
            source:
              type: string
              enum:
                - TOKU
                - CLIENT
            addedAt:
              type: string
          required:
            - name
            - source
            - addedAt
        orgId:
          type:
            - string
            - 'null'
      required:
        - overallStatus
        - statusReason
        - statusEffectiveAt
        - submissionCompletedStepCount
        - submissionTotalStepCount
        - verificationCompletedCount
        - verificationTotalCount
        - outstandingChecks
        - roleInOrgId
        - fullName
        - countryCode
        - status
        - currentStepId
        - steps
        - completedStepCount
        - totalStepCount
        - onboardingStartedAt
        - backgroundCheckBlocked
        - agreementUnderReview
        - addedBy
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
